%define name     amsynth
%define pkg_name amSynth
%define version  1.1.0
%define pkg_ver  1.1.0
%define release  1

Summary:      Software Synthesizer
Name:         %{name}
Version:      %{version}
Release:      %{release}%{?dist}
License:      GPL
Group:        Application/Multimedia
URL:          http://amsynthe.sourceforge.net/amSynth/index.html
Source0:      %{pkg_name}-%{pkg_ver}.tar.gz
Patch0:	      %{pkg_name}-%{version}-main.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-buildroot
Requires:     jack-audio-connection-kit >= 0.66.3

BuildRequires: gcc-c++ alsa-lib-devel gtkmm24-devel 
BuildRequires: jack-audio-connection-kit-devel libsndfile-devel

%description
amSynth is a software synthesizer, taking inspiration from the
original synths and latest digital ones, while keeping an intuitive
interface.

%prep
%setup -q -n %{pkg_name}-%{pkg_ver}
%patch0 -p1

%build
./autogen.sh
./bootstrap 
%configure
make %{_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

#--- desktop entry
cat << EOF > startcom-%{name}.desktop
[Desktop Entry]
Name=amSynth
Comment=Software Syntheziser
Icon=
Exec=%{_bindir}/%{pkg_name}
Terminal=false
Type=Application
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor startcom \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
    --add-category X-StartCom-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    startcom-%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_bindir}/amSynth
%{_libexecdir}/amSynth.bin
%{_datadir}/amSynth
%{_datadir}/applications/*%{name}.desktop

%changelog
* Mon Apr 10 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x
- Update to 1.1.0

* Mon May 30 2005 Eddy Nigg <eddy_nigg@startcom.org>
- more changes for StartCom Linux 4.0.x
